<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_ServiceRequest StructType
 * @subpackage Structs
 */
class JP_ServiceRequest extends AbstractStructBase
{
    /**
     * The SearchSegmentsServices
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentsServices
     */
    public $SearchSegmentsServices;
    /**
     * The RelPaxesDist
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RelPaxDist
     */
    public $RelPaxesDist;
    /**
     * Constructor method for JP_ServiceRequest
     * @uses JP_ServiceRequest::setSearchSegmentsServices()
     * @uses JP_ServiceRequest::setRelPaxesDist()
     * @param \StructType\JP_SearchSegmentsServices $searchSegmentsServices
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     */
    public function __construct(\StructType\JP_SearchSegmentsServices $searchSegmentsServices = null, \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this
            ->setSearchSegmentsServices($searchSegmentsServices)
            ->setRelPaxesDist($relPaxesDist);
    }
    /**
     * Get SearchSegmentsServices value
     * @return \StructType\JP_SearchSegmentsServices|null
     */
    public function getSearchSegmentsServices()
    {
        return $this->SearchSegmentsServices;
    }
    /**
     * Set SearchSegmentsServices value
     * @param \StructType\JP_SearchSegmentsServices $searchSegmentsServices
     * @return \StructType\JP_ServiceRequest
     */
    public function setSearchSegmentsServices(\StructType\JP_SearchSegmentsServices $searchSegmentsServices = null)
    {
        $this->SearchSegmentsServices = $searchSegmentsServices;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_RelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     * @return \StructType\JP_ServiceRequest
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_ServiceRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
